Update account details
curl --request POST \
--url 'https://api.vida.dev/api/v2/account?token=' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ada Lovelace",
"partnerName": "<string>",
"resellerName": "<string>",
"orgName": "<string>",
"accountName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"description": "<string>",
"image": "<string>",
"businessName": "<string>",
"businessAddress": "<string>",
"email": "jsmith@example.com",
"settings": {
"reportingFields": [
{
"key": "appointment_booked",
"label": "Appointment booked",
"instructions": "True when the customer agrees to a specific appointment time.",
"values": {
"choices": [
"<string>"
]
}
}
],
"metrics": [
{}
],
"defaultOrgSettings": {
"metrics": [
{}
]
}
}
}
'import requests
url = "https://api.vida.dev/api/v2/account?token="
payload = {
"name": "Ada Lovelace",
"partnerName": "<string>",
"resellerName": "<string>",
"orgName": "<string>",
"accountName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"description": "<string>",
"image": "<string>",
"businessName": "<string>",
"businessAddress": "<string>",
"email": "jsmith@example.com",
"settings": {
"reportingFields": [
{
"key": "appointment_booked",
"label": "Appointment booked",
"instructions": "True when the customer agrees to a specific appointment time.",
"values": { "choices": ["<string>"] }
}
],
"metrics": [{}],
"defaultOrgSettings": { "metrics": [{}] }
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ada Lovelace',
partnerName: '<string>',
resellerName: '<string>',
orgName: '<string>',
accountName: '<string>',
firstName: '<string>',
lastName: '<string>',
description: '<string>',
image: '<string>',
businessName: '<string>',
businessAddress: '<string>',
email: 'jsmith@example.com',
settings: {
reportingFields: [
{
key: 'appointment_booked',
label: 'Appointment booked',
instructions: 'True when the customer agrees to a specific appointment time.',
values: {choices: ['<string>']}
}
],
metrics: [{}],
defaultOrgSettings: {metrics: [{}]}
}
})
};
fetch('https://api.vida.dev/api/v2/account?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Accounts
Update account details
Update selected profile details or supported settings for an account.
POST
/
api
/
v2
/
account
Update account details
Authorizations
Vida API Token
Query Parameters
Target account ID when acting on behalf of another account
Body
application/json
Full name
Example:
"Ada Lovelace"
Partner name (for partner accounts only)
Reseller name (for reseller accounts only)
Organization name
Account name
First name
Last name
Profile description
Profile image URL
Business name
Business address
Email address
Supported account-level reporting and dashboard settings. Existing settings outside the supplied fields are preserved; each supplied array is a complete replacement for that array.
Show child attributes
Show child attributes
Response
Updated account details
The response is of type object.